Subject: Re: [Fwd: Koha DB]
From: Al Banks <[email-masked]>
To: paul POULAIN <[email-masked]>
Date: Mon, 03 Mar 2003 11:38:41 -0600

Ok, cool.

I'll start looking through the SQL to see how big of a task I'm talking
about...

Maybe we'll have something like this for the 3.0 :->

-Al 

On Mon, 2003-03-03 at 11:06, paul POULAIN wrote:
> Al Banks wrote:
> 
> >I've been reading through the db schema, and have a few questions...
> >
> >First, are you the db lead?  (I don't want to waste your time...)
> >
> I think I can assume this leading too :-)
> 
> >Does a data dictionary exist for this project?
> >
> No, and i think it's really a pain... there is just a jpg in the wiki 
> and it's quite out-dated.
> Note I've discovered that phpmyadmin can do a LOT of thinks in the last 
> 2.4.0 version like (virtual) constaint references, and pdf output of the 
> DB-schema.
> 
> >I was working on porting
> >the schema to postgres, and was wondering about the borrowernumber being
> >an int(11).  Are cardnumbers fixed-length 11 digits?
> >
> in the koha code ? no, i dont think so. there is just a specific 
> checkdigit script that katipo did at beginning of koha and that is still 
> in use.
> The borrowernumber must pass this check routine at the moment.
> will probably be removed/modularized in a 2.0.x version (where x >0)
> 
> >There are a couple of tables for deleted items, borrowers, etc.  Is this
> >a requirement?  I would think that adding a 'deleted' boolean in the
> >main record would do the same function, and save a couple of tables.
> >  
> >
> O'm not the author of the deletedXXX tables.
> I partially agree with you, but deleting those tables would mean having 
> a deep look to all the code, as we would have to add "and 
> deleteflag=false" in every sql statement.
> It's completly out of scope of the 2.0 release (and this time i'm sure i 
> can say this coz i'm 2.0 official release manager :-D )
> 
> -- 
> Paul POULAIN
> Consultant indépendant en logiciels libres
> responsable francophone de koha (SIGB libre http://www.koha-fr.org)
> 
>